<div class="common-profile-header">{{ 'labelProfileInfo' | translate:lang }}</div>

<div class="row m-lr0">
  <div class="col-md-12 mt-3">
    <form [formGroup]="profileInfo" (ngSubmit)="onSubmit()">
      <div class="row">
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{ 'labelFirstName' | translate:lang }}</mat-label>
            <input matInput autocomplete="off" type="text" formControlName="firstName"
              [placeholder]="'labelFirstName' | translate:lang" name="{{ 'labelFirstName' | translate:lang }}"
              [maxlength]="profileInfoRules.NAME_MAX_LENGTH" required>
            <mat-hint
              *ngIf="(profileInfo.controls['firstName'].invalid && (profileInfo.controls['firstName'].dirty || profileInfo.controls['firstName'].touched))">
              <mat-error *ngIf="profileInfo.controls['firstName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="profileInfo.controls['firstName'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{profileInfoRules.FIRST_NAME_MIN_LENGTH}}
              </mat-error>
              <mat-error
                *ngIf="profileInfo.controls['firstName'].errors.pattern && profileInfo.controls['firstName'].value.length >= profileInfoRules.FIRST_NAME_MIN_LENGTH">
                {{ 'labelFirstName' | translate:lang }} {{'errorAlphabets' | translate: lang}}.
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{ 'labelLastName' | translate:lang }}</mat-label>
            <input matInput autocomplete="off" type="text" formControlName="lastName"
              [placeholder]="'labelLastName' | translate:lang" name="{{ 'labelLastName' | translate:lang }}"
              [maxlength]="profileInfoRules.NAME_MAX_LENGTH" required>
            <mat-hint
              *ngIf="(profileInfo.controls['lastName'].invalid && (profileInfo.controls['lastName'].dirty || profileInfo.controls['lastName'].touched))">
              <mat-error *ngIf="profileInfo.controls['lastName'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="profileInfo.controls['lastName'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{profileInfoRules.LAST_NAME_MIN_LENGTH}}
              </mat-error>
              <mat-error
                *ngIf="profileInfo.controls['lastName'].errors.pattern && profileInfo.controls['lastName'].value.length >= profileInfoRules.LAST_NAME_MIN_LENGTH">
                {{ 'labelLastName' | translate:lang }} {{'errorAlphabets' | translate: lang}}.
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{ 'labelEmail' | translate:lang }}</mat-label>
            <input matInput autocomplete="off" type="email" formControlName="email"
              [placeholder]="'labelEmail' | translate:lang" name="{{ 'labelEmail' | translate:lang }}"
              [maxlength]="profileInfoRules.EMAIL_MAX_LENGTH" required>
            <mat-hint
              *ngIf="(profileInfo.controls['email'].invalid && (profileInfo.controls['email'].dirty || profileInfo.controls['email'].touched))">
              <mat-error *ngIf="profileInfo.controls['email'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="profileInfo.controls['email'].errors.pattern && !profileInfo.controls['email'].errors.required">
                {{'errorValidEmail' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{ 'labelPhone' | translate:lang }}</mat-label>
            <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
            <input matInput autocomplete="off" type="text" formControlName="phone"
              [placeholder]="patternDetails ? patternDetails.phoneFormat : ''"
              name="{{ 'labelPhone' | translate:lang }}" required>
            <mat-hint
              *ngIf="(profileInfo.controls['phone'].invalid && (profileInfo.controls['phone'].dirty || profileInfo.controls['phone'].touched))">
              <mat-error *ngIf="profileInfo.controls['phone'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error
                *ngIf="profileInfo.controls['phone'].errors.pattern && profileInfo.controls['phone'].value.length >= profileInfoRules.MOBILE_MIN_LENGTH">
                {{ 'errorValidPhone' | translate:lang }}{{patternDetails.phoneFormat}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelDOB' | translate: lang}}</mat-label>
            <input required #dateFormat [max]="maxDob" matInput [matDatepicker]="picker" formControlName="dateOfBirth"
              readonly>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-hint
              *ngIf="(profileInfo.controls['dateOfBirth'].invalid && (profileInfo.controls['dateOfBirth'].dirty || profileInfo.controls['dateOfBirth'].touched))">
              <mat-error *ngIf="profileInfo.controls['dateOfBirth'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelGender' | translate: lang}}</mat-label>
            <mat-select required formControlName="gender">
              <mat-option *ngFor="let gender of genderData" [value]="gender">
                {{gender | translate:lang}}
              </mat-option>
            </mat-select>
            <mat-hint
              *ngIf="(profileInfo.controls['gender'].invalid && (profileInfo.controls['gender'].dirty || profileInfo.controls['gender'].touched))">
              <mat-error *ngIf="profileInfo.controls['gender'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6 m-toggle-or">
          {{'labelEmailSubscription' | translate: lang}}
          <mat-slide-toggle formControlName="emailSubscription"
            [checked]="profileDetails ? (profileDetails.isEmailSubscription === 1 ? true : false) : false">
          </mat-slide-toggle>
        </div>
      </div><br>
      <button mat-raised-button color="primary"
        [disabled]="!profileInfo.valid || buttonDisable">{{ 'buttonSubmit' | translate:lang }} </button>
    </form>
  </div>
</div>